

/*//////////////////////////////////////////////////////////////////
[ REBOOT ]*/
*, *:before, *:after {
	margin: 0px; 
	padding: 0px; 
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

body, html {
	font-family: 'Raleway', sans-serif;
	font-size: 15px;
	color: #666666;

	height: 100%;
	background-color: #fff;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

/*---------------------------------------------*/
a:focus {outline: none;}
a:hover {text-decoration: none;}

/* ------------------------------------ */
h1,h2,h3,h4,h5,h6,p {margin: 0px;}

ul, li {
	margin: 0px;
	list-style-type: none;
}


/* ------------------------------------ */
input, textarea, label {
	display: block;
	outline: none;
	border: none;
}

/* ------------------------------------ */
button {
	outline: none;
	border: none;
	background: transparent;
	cursor: pointer;
}
button:focus {outline: none;}

iframe {border: none;}


[ PADDING ]*/

.m-lr-auto {
	margin-left: auto;	
	margin-right: auto;
}



/*//////////////////////////////////////////////////////////////////
[ TEXT ]*/
.color-white {color: white;}
.color-black {color: black;}


/* ------------------------------------ */
.txt-center {text-align: center;}
.txt-left {text-align: left;}
.txt-right {text-align: right;}
.txt-middle {vertical-align: middle;}



/*//////////////////////////////////////////////////////////////////
[ SIZE ]*/

.size-full {
	width: 100%;
	height: 100%;
}
.w-full {width: 100%;}
.h-full {height: 100%;}
.max-w-full {max-width: 100%;}
.max-h-full {max-height: 100%;}
.min-w-full {min-width: 100%;}
.min-h-full {min-height: 100%;}



/*//////////////////////////////////////////////////////////////////
[ BACKGROUND ]*/
.bgwhite {background-color: rgb(255, 255, 255);}
.bgblack {background-color: black;}



/*//////////////////////////////////////////////////////////////////
[ PSEUDO ]*/

/*------------------------------------------------------------------
[ Hover ]*/
.hov-img-zoom {
	display: block;
	overflow: hidden;
}
.hov-img-zoom img{
	width: 100%;
	-webkit-transition: all 0.6s;
    -o-transition: all 0.6s;
    -moz-transition: all 0.6s;
    transition: all 0.6s;
}
.hov-img-zoom:hover img {
	-webkit-transform: scale(1.1);
  	-moz-transform: scale(1.1);
  	-ms-transform: scale(1.1);
  	-o-transform: scale(1.1);
	transform: scale(1.1);
}



/*//////////////////////////////////////////////////////////////////
[ EFFECT ]*/

.pointer {cursor: pointer;}

/*------------------------------------------------------------------
[ Opacity ]*/
.op-00 {opacity: 0;}
.op-01 {opacity: 0.1;}
.op-02 {opacity: 0.2;}
.op-03 {opacity: 0.3;}
.op-04 {opacity: 0.4;}
.op-05 {opacity: 0.5;}
.op-06 {opacity: 0.6;}
.op-07 {opacity: 0.7;}
.op-08 {opacity: 0.8;}
.op-09 {opacity: 0.9;}
.op-10 {opacity: 1;}


/*------------------------------------------------------------------
[ Wrap Picture ]*/
.wrap-pic-w img {width: 100%;}
.wrap-pic-max-w img {max-width: 100%;}

/* ------------------------------------ */
.wrap-pic-h img {height: 100%;}
.wrap-pic-max-h img {max-height: 100%;}

/* ------------------------------------ */
.wrap-pic-cir {
	border-radius: 50%;
	overflow: hidden;
}
.wrap-pic-cir img {
	width: 100%;
}

/*------------------------------------------------------------------
[  ]*/
.bo-cir {border-radius: 50%;}

.of-hidden {overflow: hidden;}

.visible-false {visibility: hidden;}
.visible-true {visibility: visible;}


/*------------------------------------------------------------------
[ Transition ]*/
.trans-01 {
	-webkit-transition: all 0.1s;
    -o-transition: all 0.1s;
    -moz-transition: all 0.1s;
    transition: all 0.1s;
}
.trans-02 {
	-webkit-transition: all 0.2s;
    -o-transition: all 0.2s;
    -moz-transition: all 0.2s;
    transition: all 0.2s;
}
.trans-03 {
	-webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    -moz-transition: all 0.3s;
    transition: all 0.3s;
}
.trans-04 {
	-webkit-transition: all 0.4s;
    -o-transition: all 0.4s;
    -moz-transition: all 0.4s;
    transition: all 0.4s;
}
.trans-05 {
	-webkit-transition: all 0.5s;
    -o-transition: all 0.5s;
    -moz-transition: all 0.5s;
    transition: all 0.5s;
}
.trans-06 {
	-webkit-transition: all 0.6s;
    -o-transition: all 0.6s;
    -moz-transition: all 0.6s;
    transition: all 0.6s;
}
.trans-07 {
	-webkit-transition: all 0.7s;
    -o-transition: all 0.7s;
    -moz-transition: all 0.7s;
    transition: all 0.7s;
}
.trans-08 {
	-webkit-transition: all 0.8s;
    -o-transition: all 0.8s;
    -moz-transition: all 0.8s;
    transition: all 0.8s;
}
.trans-09 {
	-webkit-transition: all 0.9s;
    -o-transition: all 0.9s;
    -moz-transition: all 0.9s;
    transition: all 0.9s;
}
.trans-10 {
	-webkit-transition: all 1s;
    -o-transition: all 1s;
    -moz-transition: all 1s;
    transition: all 1s;
}



/*//////////////////////////////////////////////////////////////////
[ POSITION ]*/

/*------------------------------------------------------------------
[ Display ]*/
.dis-none {display: none;}
.dis-block {display: block;}
.dis-inline {display: inline;}
.dis-inline-block {display: inline-block;}

.flex-w,
.flex-l,
.flex-r,
.flex-c,
.flex-sa,
.flex-sb,
.flex-t,
.flex-b,
.flex-m,
.flex-str,
.flex-c-m,
.flex-c-t,
.flex-c-b,
.flex-c-str,
.flex-l-m,
.flex-r-m,
.flex-sa-m,
.flex-sb-m,
.flex-col-l,
.flex-col-r,
.flex-col-c,
.flex-col-str,
.flex-col-t,
.flex-col-b,
.flex-col-m,
.flex-col-sb,
.flex-col-sa,
.flex-col-c-m,
.flex-col-l-m,
.flex-col-r-m,
.flex-col-str-m,
.flex-col-c-t,
.flex-col-c-b,
.flex-col-c-sb,
.flex-col-c-sa,
.flex-row,
.flex-row-rev,
.flex-col,
.flex-col-rev,
.dis-flex {
	display: -webkit-box;
	display: -webkit-flex;
	display: -moz-box;
	display: -ms-flexbox;
	display: flex;
}

/*------------------------------------------------------------------
[ Position ]*/
.pos-relative {position: relative;}
.pos-absolute {position: absolute;}
.pos-fixed {position: fixed;}

/*------------------------------------------------------------------
[ Float ]*/
.float-l {float: left;}
.float-r {float: right;}


/*------------------------------------------------------------------
[ Top Bottom Left Right ]*/
.top-0 {top: 0;}
.bottom-0 {bottom: 0;}
.left-0 {left: 0;}
.right-0 {right: 0;}

.top-auto {top: auto;}
.bottom-auto {bottom: auto;}
.left-auto {left: auto;}
.right-auto {right: auto;}


/*------------------------------------------------------------------
[ Flex ]*/
/* ------------------------------------ */
.flex-w {
	-webkit-flex-wrap: wrap;
	-moz-flex-wrap: wrap;
	-ms-flex-wrap: wrap;
	-o-flex-wrap: wrap;
	flex-wrap: wrap;
}

/* ------------------------------------ */
.flex-l {
	justify-content: flex-start;
}

.flex-r {
	justify-content: flex-end;
}

.flex-c {
	justify-content: center;
}

.flex-sa {
	justify-content: space-around;
}

.flex-sb {
	justify-content: space-between;
}

/* ------------------------------------ */
.flex-t {
	-ms-align-items: flex-start;
	align-items: flex-start;
}

.flex-b {
	-ms-align-items: flex-end;
	align-items: flex-end;
}

.flex-m {
	-ms-align-items: center;
	align-items: center;
}

.flex-str {
	-ms-align-items: stretch;
	align-items: stretch;
}


/* ------------------------------------ */
.flex-c-m {
	justify-content: center;
	-ms-align-items: center;
	align-items: center;
}

.flex-c-t {
	justify-content: center;
	-ms-align-items: flex-start;
	align-items: flex-start;
}

.flex-c-b {
	justify-content: center;
	-ms-align-items: flex-end;
	align-items: flex-end;
}

.flex-c-str {
	justify-content: center;
	-ms-align-items: stretch;
	align-items: stretch;
}

.flex-l-m {
	justify-content: flex-start;
	-ms-align-items: center;
	align-items: center;
}

.flex-r-m {
	justify-content: flex-end;
	-ms-align-items: center;
	align-items: center;
}

.flex-sa-m {
	justify-content: space-around;
	-ms-align-items: center;
	align-items: center;
}

.flex-sb-m {
	justify-content: space-between;
	-ms-align-items: center;
	align-items: center;
}

/* ------------------------------------ */
.flex-col-l {
	-ms-align-items: flex-start;
	align-items: flex-start;
}

.flex-col-r {
	-ms-align-items: flex-end;
	align-items: flex-end;
}

.flex-col-c {
	-ms-align-items: center;
	align-items: center;
}

.flex-col-str {
	-ms-align-items: stretch;
	align-items: stretch;
}

/*---------------------------------------------*/
.flex-col-t {
	justify-content: flex-start;
}

.flex-col-b {
	justify-content: flex-end;
}

.flex-col-m {
	justify-content: center;
}

.flex-col-sb {
	justify-content: space-between;
}

.flex-col-sa {
	justify-content: space-around;
}

/*---------------------------------------------*/
.flex-col-c-m {
	-ms-align-items: center;
	align-items: center;
	justify-content: center;
}

.flex-col-l-m {
	-ms-align-items: flex-start;
	align-items: flex-start;
	justify-content: center;
}

.flex-col-r-m {
	-ms-align-items: flex-end;
	align-items: flex-end;
	justify-content: center;
}

.flex-col-str-m {
	-ms-align-items: stretch;
	align-items: stretch;
	justify-content: center;
}


.flex-col-c-t {
	justify-content: flex-start;
	-ms-align-items: center;
	align-items: center;
}

.flex-col-c-b {
	justify-content: flex-end;
	-ms-align-items: center;
	align-items: center;
}

.flex-col-c-sb {
	justify-content: space-between;
	-ms-align-items: center;
	align-items: center;
}

.flex-col-c-sa {
	justify-content: space-around;
	-ms-align-items: center;
	align-items: center;
}


/* ------------------------------------ */
.flex-row {
	-webkit-flex-direction: row;
	-moz-flex-direction: row;
	-ms-flex-direction: row;
	-o-flex-direction: row;
	flex-direction: row;
}

.flex-row-rev {
	-webkit-flex-direction: row-reverse;
	-moz-flex-direction: row-reverse;
	-ms-flex-direction: row-reverse;
	-o-flex-direction: row-reverse;
	flex-direction: row-reverse;
}

.flex-col-l,
.flex-col-r,
.flex-col-c,
.flex-col-str,
.flex-col-t,
.flex-col-b,
.flex-col-m,
.flex-col-sb,
.flex-col-sa,
.flex-col-c-m,
.flex-col-l-m,
.flex-col-r-m,
.flex-col-str-m,
.flex-col-c-t,
.flex-col-c-b,
.flex-col-c-sb,
.flex-col-c-sa,
.flex-col {
	-webkit-flex-direction: column;
	-moz-flex-direction: column;
	-ms-flex-direction: column;
	-o-flex-direction: column;
	flex-direction: column;
}

.flex-col-rev {
	-webkit-flex-direction: column-reverse;
	-moz-flex-direction: column-reverse;
	-ms-flex-direction: column-reverse;
	-o-flex-direction: column-reverse;
	flex-direction: column-reverse;
}


/*------------------------------------------------------------------
[ Absolute ]*/
.ab-c-m {
	position: absolute;
	top: 50%;
	left: 50%;
	-webkit-transform: translate(-50%, -50%);
  	-moz-transform: translate(-50%, -50%);
  	-ms-transform: translate(-50%, -50%);
  	-o-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
}

.ab-c-t {
	position: absolute;
	top: 0px;
	left: 50%;
	-webkit-transform: translateX(-50%);
  	-moz-transform: translateX(-50%);
  	-ms-transform: translateX(-50%);
  	-o-transform: translateX(-50%);
	transform: translateX(-50%);
}

.ab-c-b {
	position: absolute;
	bottom: 0px;
	left: 50%;
	-webkit-transform: translateX(-50%);
  	-moz-transform: translateX(-50%);
  	-ms-transform: translateX(-50%);
  	-o-transform: translateX(-50%);
	transform: translateX(-50%);
}

.ab-l-m {
	position: absolute;
	left: 0px;
	top: 50%;
	-webkit-transform: translateY(-50%);
  	-moz-transform: translateY(-50%);
  	-ms-transform: translateY(-50%);
  	-o-transform: translateY(-50%);
	transform: translateY(-50%);
}

.ab-r-m {
	position: absolute;
	right: 0px;
	top: 50%;
	-webkit-transform: translateY(-50%);
  	-moz-transform: translateY(-50%);
  	-ms-transform: translateY(-50%);
  	-o-transform: translateY(-50%);
	transform: translateY(-50%);
}

.ab-t-l {
	position: absolute;
	left: 0px;
	top: 0px;
}

.ab-t-r {
	position: absolute;
	right: 0px;
	top: 0px;
}

.ab-b-l {
	position: absolute;
	left: 0px;
	bottom: 0px;
}

.ab-b-r {
	position: absolute;
	right: 0px;
	bottom: 0px;
}
